/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.ArchetypesInColor;

/** 
 * @author TogetherSoft
 * @stereotype role
 * @alias Role
 */
public class Role7 {
    public void assessAcrossMIs() {
    }

    public void listMIs() {
    }

    public static int listRoles() {
        return -1;
    }

    public static int assessAcrossRoles() {
        return -1;
    }

    private int assignedNumber;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 1
     */
    private PartyPlaceThing7 lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MomentInterval7 lnkUnnamed1;
    private int status;
}


